﻿local tweak_data_ref = nil
local data_path = ModPath .. "menu/settings.json"

Hooks:PreHook(CopBase, "init", "SWAT_init", function(self, tweak_data)
	tweak_data_ref = tweak_data
	self.swatoed_menu_data = {}

	local file = io.open( data_path, "r" )
	if file then
		self.swatoed_menu_data = json.decode( file:read("*all") )
		file:close()
	end
    if not self.swatoed_menu_data.shield_smg then self.swatoed_menu_data.shield_smg = false end
    if not self.swatoed_menu_data.medic_rifle then self.swatoed_menu_data.medic_rifle = false end
    if not self.swatoed_menu_data.medic_shotgun then self.swatoed_menu_data.medic_shotgun = false end
end)

--Sets up the Shield and Medic's weapons
local shield_smg_swat = {
	"mp9"
}
local medic_rifle_swat = {
	"mp5"
}
local medic_shotgun_swat = {
	"r870"
}
local smg_weapon_mapping = {
	[("units/payday2/characters/ene_shield_2/ene_shield_2"):key()] = shield_smg_swat
}
local rifle_weapon_mapping = {
	[("units/payday2/characters/ene_medic_m4/ene_medic_m4"):key()] = medic_rifle_swat
}
local shotgun_weapon_mapping = {
	[("units/payday2/characters/ene_medic_r870/ene_medic_r870"):key()] = medic_shotgun_swat
}

Hooks:PreHook(CopBase, "post_init", "SWAT_post_init", function(self)
	local smg_weapon_swap = smg_weapon_mapping[self._unit:name():key()]
	local rifle_weapon_swap = rifle_weapon_mapping[self._unit:name():key()]
	local shotgun_weapon_swap = shotgun_weapon_mapping[self._unit:name():key()]

	if smg_weapon_swap and self.swatoed_menu_data.shield_smg then
		self._default_weapon_id = type(smg_weapon_swap) == "table" and table.random(smg_weapon_swap) or smg_weapon_swap
	end
	if rifle_weapon_swap and self.swatoed_menu_data.medic_rifle then
		self._default_weapon_id = type(rifle_weapon_swap) == "table" and table.random(rifle_weapon_swap) or rifle_weapon_swap
	end
	if shotgun_weapon_swap and self.swatoed_menu_data.medic_shotgun then
		self._default_weapon_id = type(shotgun_weapon_swap) == "table" and table.random(shotgun_weapon_swap) or shotgun_weapon_swap
	end
end)