﻿--Creates the options menu
_G.SWATOEDMenu = _G.SWATOEDMenu or {}
SWATOEDMenu._path = ModPath
SWATOEDMenu._data_path = ModPath .. "menu/settings.json"
SWATOEDMenu._data = {}

function SWATOEDMenu:Save()
	local file = io.open( self._data_path, "w+" )
	if file then
		file:write( json.encode( self._data ) )
		file:close()
	end
end

function SWATOEDMenu:Load()
	local file = io.open( self._data_path, "r" )
	if file then
		self._data = json.decode( file:read("*all") )
		file:close()
	end
    if not SWATOEDMenu._data.shield_smg then SWATOEDMenu._data.shield_smg = false end
    if not SWATOEDMenu._data.medic_rifle then SWATOEDMenu._data.medic_rifle = false end
    if not SWATOEDMenu._data.medic_shotgun then SWATOEDMenu._data.medic_shotgun = false end
    if not SWATOEDMenu._data.zeal_marksman then SWATOEDMenu._data.zeal_marksman = false end
end

Hooks:Add("LocalizationManagerPostInit", "SWAT_localize_menu", function(loc)
	loc:load_localization_file(SWATOEDMenu._path .. "menu/english.json")
end)

Hooks:Add("MenuManagerInitialize", "SWAT_init_menu", function(menu_manager)
	MenuCallbackHandler.swatoed_shield_smg_callback = function(self, item)
		SWATOEDMenu._data.shield_smg = (item:value() == "on" and true or false)
		SWATOEDMenu:Save()
	end

	MenuCallbackHandler.swatoed_medic_rifle_callback = function(self, item)
		SWATOEDMenu._data.medic_rifle = (item:value() == "on" and true or false)
		SWATOEDMenu:Save()
	end

	MenuCallbackHandler.swatoed_medic_shotgun_callback = function(self, item)
		SWATOEDMenu._data.medic_shotgun = (item:value() == "on" and true or false)
		SWATOEDMenu:Save()
	end

	MenuCallbackHandler.swatoed_zeal_marksman_callback = function(self, item)
		SWATOEDMenu._data.zeal_marksman = (item:value() == "on" and true or false)
		SWATOEDMenu:Save()
	end

	SWATOEDMenu:Load()

	MenuHelper:LoadFromJsonFile(SWATOEDMenu._path .. "menu/menu.json", SWATOEDMenu, SWATOEDMenu._data)
end)